<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateLogins extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('logins')
			->addColumn('user_id', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('time', 'datetime', ['null' => false])
			->addColumn('selector', 'string', ['length' => 255, 'null' => false])
			->addColumn('token', 'string', ['length' => 255, 'null' => false])
			->addColumn('status', 'integer', ['length' => 1, 'default' => 1, 'null' => false])
			->addForeignKey('user_id', 'users', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
